Package com.google.android.exoplayer2.source

## Interface CompositeSequenceableLoaderFactory

- All Known Implementing Classes:
    `DefaultCompositeSequenceableLoaderFactory`

      public interface CompositeSequenceableLoaderFactory

  A factory to create composite `SequenceableLoader`s.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SequenceableLoader` | `createCompositeSequenceableLoader​(SequenceableLoader... loaders)` | Creates a composite `SequenceableLoader`.

- - ### Method Detail

    - #### createCompositeSequenceableLoader

          SequenceableLoader createCompositeSequenceableLoader​(SequenceableLoader... loaders)

      Creates a composite `SequenceableLoader`.
      Parameters:
        `loaders` - The sub-loaders that make up the `SequenceableLoader` to be built.
      Returns:
        A composite `SequenceableLoader` that comprises the given loaders.